Package twisted :: Package web :: Module twcgi :: Class CGIProcessProtocol

[show private | hide private]
[frames | no frames]

## Class CGIProcessProtocol

     BaseProtocol --+
                    |
      ProcessProtocol --+
                        |
    Jellyable --+       |
                |       |
     Serializable --+   |
                    |   |
             Viewable --+
                        |
                       CGIProcessProtocol

Method Summary
| `__init__(self, request)`
| ``connectionMade`(self)` Called when a connection is made.
| ``errConnectionLost`(self)` This will be called when stderr is closed. (inherited from `ProcessProtocol`)
| `errReceived(self, error)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``inConnectionLost`(self)` Called when stdin is shut down. (inherited from `ProcessProtocol`)
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint`for me and the perspective of the given broker. (inherited from `Viewable`)
| ``outConnectionLost`(self)` Called when stdout is shut down. (inherited from `ProcessProtocol`)
| ``outReceived`(self, output)` Handle a chunk of input
| `pauseProducing(self)`
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `resumeProducing(self)`
| `stopProducing(self)`
| `view_pauseProducing(self, issuer)`
| `view_resumeProducing(self, issuer)`
| `view_stopProducing(self, issuer)`

Class Variable Summary
`str` | `errortext`
`int` | `handling_headers`
`int` | `headers_written`
`str` | `headertext`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### outReceived(self, output)

Handle a chunk of input

### processEnded(self, reason)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ProcessProtocol.processEnded` (inherited documentation)

Class Variable Details

### errortext

  Type:
    `str`
  Value:

        ''

### handling_headers

  Type:
    `int`
  Value:

        1

### headers_written

  Type:
    `int`
  Value:

        0

### headertext

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 1.1 on Thu May 8 13:16:59 2003 | http://epydoc.sf.net